import request from '@/request';
import { PageData, TenantPackagePageReqVO, TenantPackageVO } from '@/models';

const BASE_URL = '/admin-api/system/tenant-package';

export default {
    // 查询租户套餐列表
    getTenantPackageTypePageApi: (params: TenantPackagePageReqVO) => {
        return request.get<PageData<TenantPackageVO>>(`${BASE_URL}/page`, { params });
    },

    // 获得租户
    getTenantPackageApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    // 新增租户套餐
    createTenantPackageTypeApi: (data: TenantPackageVO) => {
        return request.post(`${BASE_URL}/create`, data );
    },

    // 修改租户套餐
    updateTenantPackageTypeApi: (data: TenantPackageVO) => {
        return request.put(`${BASE_URL}/update`, data );
    },

    // 删除租户套餐
    deleteTenantPackageTypeApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

    // 获取租户套餐精简信息列表
    getTenantPackageList: () => {
        return request.get<TenantPackageVO[]>(`${BASE_URL}/get-simple-list`);
    }
}


